Linux Mint: “Warning: No support for locale: en_US.UTF-8” in update-initramfs

After installing Linux Mint 17 in a VM I started the Update Manager to get the latest updates, including kernel. In the details window I saw this error:

update-initramfs: Generating /boot/initrd.img-3.13.0-24-generic
Warning: No support for locale: en_US.UTF-8

Thanks to Tip: fix for update-initramfs “No support for local …” I found the cause and the solution.

Cause (quoting from the source post): “The problem is that /usr/share/initramfs-tools/hooks/root_locale is expecting to see individual locale directories in /usr/lib/locale, but locale-gen is configured to generate an archive file by default.”

Solution: Run locale-gen again (but use directories not archive file) and then update-initramfs.

sudo locale-gen --purge --no-archive

sudo update-initramfs -u -t

3 Responses to Linux Mint: “Warning: No support for locale: en_US.UTF-8” in update-initramfs

  1. gregben says:

    This worked for me. Thanks!

  2. Pingback: How-to fix “Warning: No support for locale: en_US.utf” | whiscardz collection

  3. Aunur Rofik says:

    thanks, for this solution.

%d bloggers like this: